summary refs log tree commit diff
path: root/bin/vncez
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2020-07-10 14:33:32 +0200
committerRobert Günzler <r@gnzler.io>2020-07-10 14:33:32 +0200
commit4ab81bf9b65fb317c9ad39530ac9060f16d77d97 (patch)
tree313d1180676d954cd5b64826a2a01859dfbd11eb /bin/vncez
parent985a273abc2f9e0046025af9932397bba0047651 (diff)
bin/vncez: use gvncviewer, remove remmina
and move window to scratchpad, making extend to the full output
dimensions
Diffstat (limited to '')
-rwxr-xr-xbin/vncez15
1 files changed, 10 insertions, 5 deletions
diff --git a/bin/vncez b/bin/vncez
index 660db41..068a199 100755
--- a/bin/vncez
+++ b/bin/vncez
@@ -1,5 +1,4 @@
 #!/bin/sh
-
 set -e
 
 if [ -n "$1" ]; then
@@ -9,15 +8,21 @@ if [ -n "$1" ]; then
 	exit 2
 fi
 
-trap '{ pkill wshowkeys; pkill wayvnc; pkill remmina; }' EXIT
+server_args=
+if [ -n "$OUTPUT" ]; then
+	server_args="-o ${OUTPUT}"
+fi
+
+trap '{ printf "\n=> killing everything...\n"; pkill wayvnc; pkill gvncviewer; }' EXIT
 
 # echo "=> starting wshowkeys"
 # swaymsg exec "wshowkeys -a bottom -a left -F 'Iosevka Sparkle 25' -t 1" >/dev/null
 echo "=> starting wayvnc"
-swaymsg exec "wayvnc -c dmabuf 0.0.0.0 5500" >/dev/null
-echo "=> starting remmina"
-swx -g "1820,50 720x450" -b none -s -I "org.remmina.Remmina" remmina -c "$HOME"/.local/share/remmina/group_vnc_wayvnc_localhost-5500.remmina
+swaymsg exec "wayvnc -c dmabuf -r ${server_args} 0.0.0.0" >/dev/null
+echo "=> starting viewer"
+swx -b none -S -F '1.0 tl' -- x11fy gvncviewer localhost
 
+notify-send 'started screensharing' 'the vnc viewer window was moved to the scratchpad'
 while true; do
 	sleep $((1024*1024))
 done